<%@include file="header.jsp"%>

<%@page import="agilpizza.modelo.*"%>
<%@page import="java.util.Collection"%>
<%@page import="agilpizza.Constantes"%>
<%@page import="java.util.Map"%>

<jsp:useBean id="pizzaTradicionalDao" scope="application"
	class="agilpizza.dao.PizzaTradicionalDAO" />


<form name="formPizzasTradicionais" action="montaPedido">
<table>

<%
Pedido pedido = (Pedido) session.getAttribute(Constantes.PEDIDO);
if (pedido == null){
	pedido = new Pedido();
	session.setAttribute(Constantes.PEDIDO, pedido);
}

Map<Pizza, Integer> quantidadeDasPizzas = pedido.getPizzasQuantidade();

for (PizzaTradicional pizza : pizzaTradicionalDao.buscaPizzaTradicional()) {
	Integer quantidade = quantidadeDasPizzas.get(pizza);
	if (quantidade == null) {
		quantidade = new Integer(0);
	}
%>

	<tr>
		<td><input type="text"
			name="<%= pizza.getNome().replaceAll(" ", "") %>"
			value="<%= quantidade %>" size="2" /></td>
		<td><b><%=pizza.getNome()%></b> (<%=pizza.getDescricaoIngredientes()%>)<br>
		<br>
		</td>

	</tr>
<p/>

<% } %>

</table>
</form>
<a href="javascript:document.formPizzasTradicionais.submit()">Colocar
no Baś do Motoboy<a> <%@include file="footer.jsp"%>